#2145 closed defect (fixed)

CONFIGURE_BDBUF_* macros should be range checked

Reported by: Ric Claus Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: lib/block Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

Setting :

#define CONFIGURE_BDBUF_MAX_READ_AHEAD_BLOCKS (64 * 1024)

causes bdbuf to allocate 1 MB of stack space, which is bigger than the size of the standard stack.

Chris e-mailed me that "We should range check the value at start up and fail if beyond a reasonable value." Sebastian added "Yes, we should check that this doesn't exceed 12.5% (off hand guess) of the threads minimum stack size."

Change History (3)

comment:1 Changed on Sep 16, 2013 at 7:56:45 AM by Sebastian Huber

Resolution: fixed
Status: newclosed, sebastian.huber@embedded-brains.de

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Oct 10, 2017 at 6:49:19 AM by Sebastian Huber

Component: fslib/block
Note: See TracTickets for help on using tickets.